import unittest

import branding


class TestBranding(unittest.TestCase):


    def test_valid_url(self):

        dracoon_url = 'https://dracoon.team'

        self.assertTrue(branding.validate_dracoon_url(dracoon_url), 'Valid DRACOON URL should return True')

    
    def test_invalid_url(self):

        invalid_url = 'http:77'

        self.assertFalse(branding.validate_dracoon_url(invalid_url), 'Invalid URL should return False')

    
    def test_old_dracoon_url(self):

        old_dracoon_url = 'https://demo.dracoon.com'

        self.assertFalse(branding.validate_dracoon_url(old_dracoon_url), 'Old DRACOON URL should return False')

    
    def test_wrong_url(self):

        wrong_url = 'https://google.com'

        self.assertFalse(branding.validate_dracoon_url(wrong_url), 'Wrong URL should return False')


if __name__ == '__main__':
    unittest.main()

