import os
import io
from setuptools import setup

# The directory containing this file
DESCRIPTION = "DRACOON Branding Sprayer"
here = os.path.abspath(os.path.dirname(__file__))

# The text of the README file
try:
    with io.open(os.path.join(here, 'README.md'), encoding='utf-8') as f:
        README = '\n' + f.read()
except FileNotFoundError:
    long_description = DESCRIPTION



#This call to setup() does all the work
setup(
    name="dracoon-sprayer",
    version="0.4.12",
    description=DESCRIPTION,
    long_description=README,
    long_description_content_type="text/markdown",
    url="https://github.com/unbekanntes-pferd/DRACOON-SPRAYER",
    author="Octavio Simone",
    author_email="octsim@gmail.com",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
    ],
    packages=["dracoonsprayer", "dracoonsprayer.util"],
    package_dir={
        "dracoonsprayer.util": "dracoonsprayer/",
        "dracoonsprayer": "dracoonsprayer"  
        },
    include_package_data=True,
    install_requires=["requests", "dracoon", "pillow", "typer", "python-resize-image", "pydantic"],
    entry_points={
          'console_scripts': ['dracoon-sprayer = dracoonsprayer.cli:app'],
      },
)